<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminCouponCampaignsGrid.inc.php" );

	class AdminCouponCampaignsPage extends BackendPage {
		protected $oAdminCouponCampaignsGrid;

		public function __construct( $id = "AdminCouponCampaignsPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminCouponCampaignsGrid = new AdminCouponCampaignsGrid( "AdminCouponCampaignsGrid" , $this );
		}

		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["ckedit"] ) && $g["ckedit"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminCouponCampaignsGrid->setSelector( true );
			parent::modifyGetPost( $g , $p );
		}
	}
?>
